Summary: OpenVirtualizationProfile OnTargetTuning system.
Name: ovp-ott
Version: 1.0
Release: r0.0
License: GPLv2
Group: console/utils
Packager: Wind River <info@windriver.com>
BuildRequires: python
BuildRequires: virtual/x86_64-wrs-linux-gcc
BuildRequires: linux-windriver
BuildRequires: virtual/libc
BuildRequires: virtual/x86_64-wrs-linux-compilerlibs
Requires: /usr/bin/env

%description
OVP-OTT is a framework which main purpose is to assist and  provide help to
the end-user to ease the OVP system tuning, and offer support on doing
this. It can analyze the system against various pre-tuned  configurations,
providing/reporting the differences between the actual system and the
desired one. Also it offers an unified way to tune various system
parameters, providing also a lot of usefull information on how to do this.
It wants to be the tool of choice, when cames about OVP system tuning.

%package -n ovp-ott-dbg
Summary: OpenVirtualizationProfile OnTargetTuning system. - Debugging files
Group: devel
Recommends: ovp-ott = 1.0-r0.0

%description -n ovp-ott-dbg
OVP-OTT is a framework which main purpose is to assist and  provide help to
the end-user to ease the OVP system tuning, and offer support on doing
this. It can analyze the system against various pre-tuned  configurations,
providing/reporting the differences between the actual system and the
desired one. Also it offers an unified way to tune various system
parameters, providing also a lot of usefull information on how to do this.
It wants to be the tool of choice, when cames about OVP system tuning.
This package contains ELF symbols and related sources for debugging
purposes.

%package -n ovp-ott-staticdev
Summary: OpenVirtualizationProfile OnTargetTuning system. - Development files (Static Libraries)
Group: devel
Requires: ovp-ott-dev = 1.0-r0.0

%description -n ovp-ott-staticdev
OVP-OTT is a framework which main purpose is to assist and  provide help to
the end-user to ease the OVP system tuning, and offer support on doing
this. It can analyze the system against various pre-tuned  configurations,
providing/reporting the differences between the actual system and the
desired one. Also it offers an unified way to tune various system
parameters, providing also a lot of usefull information on how to do this.
It wants to be the tool of choice, when cames about OVP system tuning.
This package contains static libraries for software development.

%package -n ovp-ott-dev
Summary: OpenVirtualizationProfile OnTargetTuning system. - Development files
Group: devel
Requires: ovp-ott = 1.0-r0.0
Suggests: linux-windriver-dev
Suggests: python-dev

%description -n ovp-ott-dev
OVP-OTT is a framework which main purpose is to assist and  provide help to
the end-user to ease the OVP system tuning, and offer support on doing
this. It can analyze the system against various pre-tuned  configurations,
providing/reporting the differences between the actual system and the
desired one. Also it offers an unified way to tune various system
parameters, providing also a lot of usefull information on how to do this.
It wants to be the tool of choice, when cames about OVP system tuning.
This package contains symbolic links, header files, and related items
necessary for software development.

%package -n ovp-ott-doc
Summary: OpenVirtualizationProfile OnTargetTuning system. - Documentation files
Group: doc

%description -n ovp-ott-doc
OVP-OTT is a framework which main purpose is to assist and  provide help to
the end-user to ease the OVP system tuning, and offer support on doing
this. It can analyze the system against various pre-tuned  configurations,
providing/reporting the differences between the actual system and the
desired one. Also it offers an unified way to tune various system
parameters, providing also a lot of usefull information on how to do this.
It wants to be the tool of choice, when cames about OVP system tuning.
This package contains documentation.

%package -n ovp-ott-locale
Summary: OpenVirtualizationProfile OnTargetTuning system.
Group: console/utils

%description -n ovp-ott-locale
OVP-OTT is a framework which main purpose is to assist and  provide help to
the end-user to ease the OVP system tuning, and offer support on doing
this. It can analyze the system against various pre-tuned  configurations,
providing/reporting the differences between the actual system and the
desired one. Also it offers an unified way to tune various system
parameters, providing also a lot of usefull information on how to do this.
It wants to be the tool of choice, when cames about OVP system tuning.

%files
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/bin"
%dir "/usr/share/ovp-ott"
%dir "/usr/share/ovp-ott/in_data"
"/usr/share/ovp-ott/ovp_ott_console_reporter.py"
"/usr/share/ovp-ott/ovp_ott_kb.xml"
"/usr/share/ovp-ott/ovp_ott_analysis_result.py"
"/usr/share/ovp-ott/ovp_ott_error_codes.py"
"/usr/share/ovp-ott/ovp_ott_kernel_analyser.py"
"/usr/share/ovp-ott/ovp_ott_analyser.py"
"/usr/share/ovp-ott/ovp_ott_html_reporter.py"
"/usr/share/ovp-ott/ovp_ott_param.py"
"/usr/share/ovp-ott/ovp_ott_executor.py"
"/usr/share/ovp-ott/ovp_ott_kb.py"
"/usr/share/ovp-ott/ovp_ott_abs_reporter.py"
"/usr/share/ovp-ott/ovp_ott_tuner.py"
%dir "/usr/share/ovp-ott/in_data/dpdk"
"/usr/share/ovp-ott/in_data/rt-tune-host.cfg"
"/usr/share/ovp-ott/in_data/rt-tune-guest.cfg"
"/usr/share/ovp-ott/in_data/rt-latency-guest.cfg"
"/usr/share/ovp-ott/in_data/nohz_full.cfg"
"/usr/share/ovp-ott/in_data/paravirt_kvm.cfg"
"/usr/share/ovp-ott/in_data/rt-latency-host.cfg"
"/usr/share/ovp-ott/in_data/dpdk/hpet.cfg"
"/usr/share/ovp-ott/in_data/dpdk/intel-dpdk.cfg"
"/usr/share/ovp-ott/in_data/dpdk/uio.cfg"
"/usr/bin/ovp_ott_tuner"
"/usr/bin/ovp_ott_analyser"

%files -n ovp-ott-dbg
%defattr(-,-,-,-)

%files -n ovp-ott-dev
%defattr(-,-,-,-)

